from flask import jsonify
from app import db
from sqlalchemy import text

def success_response(data=None, message="Success", code=200):
    response = {
        "code": code,
        "message": message,
        "data": data
    }
    return jsonify(response), code

def error_response(message="Error", code=400):
    response = {
        "code": code,
        "message": message,
        "data": None
    }
    return jsonify(response), code

def check_db_connection():
    try:
        # A simple query to check the database connection
        db.session.execute(text('SELECT 1'))
        return True, None
    except Exception as e:
        return False, str(e)
